## ros-rolling-turtle-tf2-cpp 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(turtle_tf2_cpp)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(message_filters REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(turtlesim REQUIRED)

find_file(TF2_CPP_HEADERS
  NAMES tf2_geometry_msgs.hpp
  PATHS ${tf2_geometry_msgs_INCLUDE_DIRS}
  NO_CACHE
  PATH_SUFFIXES tf2_geometry_msgs
)

add_executable(static_turtle_tf2_broadcaster src/static_turtle_tf2_broadcaster.cpp)
ament_target_dependencies(
  static_turtle_tf2_broadcaster
  geometry_msgs
  rclcpp
  tf2
  tf2_ros
  turtlesim
)

add_executable(turtle_tf2_broadcaster src/turtle_tf2_broadcaster.cpp)
ament_target_dependencies(
  turtle_tf2_broadcaster
  geometry_msgs
  rclcpp
  tf2
  tf2_ros
  turtlesim
)

add_executable(turtle_tf2_listener src/turtle_tf2_listener.cpp)
ament_target_dependencies(
  turtle_tf2_listener
  geometry_msgs
  rclcpp
  tf2
  tf2_ros
  turtlesim
)

add_executable(fixed_frame_tf2_broadcaster src/fixed_frame_tf2_broadcaster.cpp)
ament_target_dependencies(
  fixed_frame_tf2_broadcaster
  geometry_msgs
  rclcpp
  tf2_ros
  turtlesim
)

add_executable(dynamic_frame_tf2_broadcaster src/dynamic_frame_tf2_broadcaster.cpp)
ament_target_dependencies(
  dynamic_frame_tf2_broadcaster
  geometry_msgs
  rclcpp
  tf2_ros
  turtlesim
)

add_executable(turtle_tf2_message_filter src/turtle_tf2_message_filter.cpp)
ament_target_dependencies(
  turtle_tf2_message_filter
  geometry_msgs
  message_filters
  rclcpp
  tf2
  tf2_geometry_msgs
  tf2_ros
)

if(EXISTS ${TF2_CPP_HEADERS})
  target_compile_definitions(turtle_tf2_message_filter PUBLIC -DTF2_CPP_HEADERS)
endif()

install(TARGETS
  static_turtle_tf2_broadcaster
  turtle_tf2_broadcaster
  turtle_tf2_listener
  fixed_frame_tf2_broadcaster
  dynamic_frame_tf2_broadcaster
  turtle_tf2_message_filter
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-turtle-tf2-cpp (0.3.4-1focal) focal; urgency=high

  * Add source code and launch file for tf2 PointStamped message publisher and listener/filter (#62 <https://github.com/ros/geometry_tutorials/issues/62>)
    Add Python Code of PointStamped Messages Broadcaster Node
    Add launch File turtle_tf2_sensor_message.launch.py
    Update CMakeLists.txt for turtle_tf2_message_filter node
    Update package.xml for dependencies of turtle_tf2_message_filter.cpp
    Update turtle_tf2_message_filter.cpp after checking linters.
    for the copyright year from 2015 to 2021 and delete the line "self.sub".
    sort include headers; change two node instances to one instance; change turtle3 spawning manner.
    remove whitespaces in line 39 and 42
    some little updates
  * update static_turtle_tf2_broadcaster.cpp to assign stamp value to now() (#63 <https://github.com/ros/geometry_tutorials/issues/63>)
  * Added compile and test Github action (#60 <https://github.com/ros/geometry_tutorials/issues/60>)
  * assign now variable to node now() value in frame broadcasters (#61 <https://github.com/ros/geometry_tutorials/issues/61>)
  * Udpate C and CPP standard (#59 <https://github.com/ros/geometry_tutorials/issues/59>)
  * Contributors: Alejandro Hernández Cordero, kenny_wang, kurshakuz

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Sun, 10 Oct 2021 22:00:00 -0000

ros-rolling-turtle-tf2-cpp (0.3.3-1focal) focal; urgency=high

  * update listener node (#53 <https://github.com/ros/geometry_tutorials/issues/53>)
  * assign now value to the this->get_clock()->now() (#54 <https://github.com/ros/geometry_tutorials/issues/54>)
  * Fixed and dynamic frame broacaster nodes and launch files C++ (#52 <https://github.com/ros/geometry_tutorials/issues/52>)
  * update copyright year (#51 <https://github.com/ros/geometry_tutorials/issues/51>)
  * Update tags in the package.xml (#50 <https://github.com/ros/geometry_tutorials/issues/50>)
  * replace exec_depend to build_depend in package.xml (#49 <https://github.com/ros/geometry_tutorials/issues/49>)
  * Contributors: kurshakuz

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Thu, 26 Aug 2021 22:00:00 -0000

ros-rolling-turtle-tf2-cpp (0.3.2-1focal) focal; urgency=high

  * turtle_tf2_cpp tutorial package (#44 <https://github.com/ros/geometry_tutorials/issues/44>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: kurshakuz

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Sun, 08 Aug 2021 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-turtle-tf2-cpp
Section: misc
Priority: optional
Maintainer: Alejandro Hernández Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-geometry-msgs, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-turtlesim, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-turtle-tf2-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-turtlesim, ros-rolling-ros-workspace
Description: turtle_tf2_cpp demonstrates how to write a ROS2 C++ tf2 broadcaster and listener with the turtlesim.
 The turtle_tf2_listener commands turtle2 to follow turtle1 around as you drive turtle1 using the keyboard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-turtle-tf2-cpp//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-turtle-tf2-cpp 0.3.6

=== debian/changelog ===
ros-rolling-turtle-tf2-cpp (0.3.6-3jammy) jammy; urgency=high

  * Minor cleanups across the tutorials. (#71 <https://github.com/ros/geometry_tutorials/issues/71>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Thu, 15 Sep 2022 07:00:00 -0000

ros-rolling-turtle-tf2-cpp (0.3.5-3jammy) jammy; urgency=high

  * Cleanup CI (#70 <https://github.com/ros/geometry_tutorials/issues/70>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Thu, 08 Sep 2022 07:00:00 -0000

ros-rolling-turtle-tf2-cpp (0.3.4-3jammy) jammy; urgency=high

  * Add source code and launch file for tf2 PointStamped message publisher and listener/filter (#62 <https://github.com/ros/geometry_tutorials/issues/62>)
    Add Python Code of PointStamped Messages Broadcaster Node
    Add launch File turtle_tf2_sensor_message.launch.py
    Update CMakeLists.txt for turtle_tf2_message_filter node
    Update package.xml for dependencies of turtle_tf2_message_filter.cpp
    Update turtle_tf2_message_filter.cpp after checking linters.
    for the copyright year from 2015 to 2021 and delete the line "self.sub".
    sort include headers; change two node instances to one instance; change turtle3 spawning manner.
    remove whitespaces in line 39 and 42
    some little updates
  * update static_turtle_tf2_broadcaster.cpp to assign stamp value to now() (#63 <https://github.com/ros/geometry_tutorials/issues/63>)
  * Added compile and test Github action (#60 <https://github.com/ros/geometry_tutorials/issues/60>)
  * assign now variable to node now() value in frame broadcasters (#61 <https://github.com/ros/geometry_tutorials/issues/61>)
  * Udpate C and CPP standard (#59 <https://github.com/ros/geometry_tutorials/issues/59>)
  * Contributors: Alejandro Hernández Cordero, kenny_wang, kurshakuz

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Mon, 11 Oct 2021 07:00:00 -0000

ros-rolling-turtle-tf2-cpp (0.3.3-3jammy) jammy; urgency=high

  * update listener node (#53 <https://github.com/ros/geometry_tutorials/issues/53>)
  * assign now value to the this->get_clock()->now() (#54 <https://github.com/ros/geometry_tutorials/issues/54>)
  * Fixed and dynamic frame broacaster nodes and launch files C++ (#52 <https://github.com/ros/geometry_tutorials/issues/52>)
  * update copyright year (#51 <https://github.com/ros/geometry_tutorials/issues/51>)
  * Update tags in the package.xml (#50 <https://github.com/ros/geometry_tutorials/issues/50>)
  * replace exec_depend to build_depend in package.xml (#49 <https://github.com/ros/geometry_tutorials/issues/49>)
  * Contributors: kurshakuz

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Fri, 27 Aug 2021 07:00:00 -0000

ros-rolling-turtle-tf2-cpp (0.3.2-3jammy) jammy; urgency=high

  * turtle_tf2_cpp tutorial package (#44 <https://github.com/ros/geometry_tutorials/issues/44>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: kurshakuz

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Mon, 09 Aug 2021 07:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Alejandro Hernández Cordero <alejandro@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-geometry-msgs, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-turtlesim, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-turtlesim, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
